Activity
Load a full snapshot version by activity reference
Load a full snapshot version by activity reference. The request is scoped to activity visible to the authenticated caller.
GET
/
api
/
v1
/
activity
/
{refId}
/
{version}
Load a full snapshot version by activity reference
curl --request GET \
--url https://api.revoengine.com/api/v1/activity/{refId}/{version} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/activity/{refId}/{version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/activity/{refId}/{version}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)Authorizations
Bearer JWT token or API Key (sk-*).
Path Parameters
Snapshot resource id. For COMPONENT_ELEMENT use componentId:componentElementId.
Snapshot refVer to load.
Query Parameters
Optional snapshot ref type narrowing hint. When omitted, the loader searches accessible snapshot types by refId and version.
Available options:
USERS, GROUPS, ROLE_GROUPS, COMPONENTS, ENDPOINTS, TEMPLATES, SCHEDULE, EVENTS, SECRETS, STORAGE, FILES, PREFERENCES, USER_KEYS, DATABASES, AGENTS, AGENT_PLUGINS, DATABASE_VIEWS, COMPONENT_ELEMENT Response
OK.
⌘I
Load a full snapshot version by activity reference
curl --request GET \
--url https://api.revoengine.com/api/v1/activity/{refId}/{version} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/activity/{refId}/{version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/activity/{refId}/{version}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
